{
  "schema_version": "1.4.0",
  "id": "GHSA-2j2j-55cj-9v64",
  "modified": "2025-04-11T03:33:44Z",
  "published": "2022-05-02T06:21:46Z",
  "aliases": [
    "CVE-2010-1349"
  ],
  "details": "Integer overflow in Opera 10.10 through 10.50 allows remote attackers to execute arbitrary code via a large Content-Length value, which triggers a heap overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-1349"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/56673"
    },
    {
      "type": "WEB",
      "url": "http://my.opera.com/securitygroup/blog/2010/03/09/the-malformed-content-length-header-security-issue"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/62714"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/38820"
    },
    {
      "type": "WEB",
      "url": "http://www.exploit-db.com/exploits/11622"
    },
    {
      "type": "WEB",
      "url": "http://www.opera.com/support/kb/view/948"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/38519"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1023690"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/0529"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-04-12T18:30:00Z"
  }
}